diffstat for ekeyd-1.1.5 ekeyd-1.1.5

 changelog                                                    |   10 +
 control                                                      |    4 
 patches/Fix-compatibility-with-changed-UNIX-socket-API.patch |   58 +++++++++++
 patches/series                                               |    1 
 4 files changed, 71 insertions(+), 2 deletions(-)

diff -Nru ekeyd-1.1.5/debian/changelog ekeyd-1.1.5/debian/changelog
--- ekeyd-1.1.5/debian/changelog	2014-11-24 20:46:49.000000000 +0000
+++ ekeyd-1.1.5/debian/changelog	2017-02-04 15:42:08.000000000 +0000
@@ -1,3 +1,13 @@
+ekeyd (1.1.5-6.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Be compatible with newer versions of lua-socket (Closes: #852380).
+    Based on patches from Mathieu Parent and Courtney Bane.
+  * d/control: Make both binary packages depend on lsb-base for
+    /lib/lsb/init-functions, as detected by Lintian
+
+ -- Simon McVittie <smcv@debian.org>  Sat, 04 Feb 2017 15:42:08 +0000
+
 ekeyd (1.1.5-6.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru ekeyd-1.1.5/debian/control ekeyd-1.1.5/debian/control
--- ekeyd-1.1.5/debian/control	2013-09-29 23:45:41.000000000 +0100
+++ ekeyd-1.1.5/debian/control	2017-02-04 15:42:08.000000000 +0000
@@ -8,7 +8,7 @@
 
 Package: ekeyd
 Architecture: any
-Depends: ${shlibs:Depends}, lua5.1, lua-socket, ${misc:Depends}
+Depends: ${shlibs:Depends}, lsb-base, lua5.1, lua-socket, ${misc:Depends}
 Recommends: udev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 Suggests: munin-node
 Description: Simtec Electronics UDEKEY01 Entropy Key Daemon
@@ -20,7 +20,7 @@
 
 Package: ekeyd-egd-linux
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, lsb-base, ${misc:Depends}
 Suggests: ekeyd
 Description: Transfers entropy from an EGD to the Linux kernel pool
  This utility reads from an EGD capable service over TCP and writes
diff -Nru ekeyd-1.1.5/debian/patches/Fix-compatibility-with-changed-UNIX-socket-API.patch ekeyd-1.1.5/debian/patches/Fix-compatibility-with-changed-UNIX-socket-API.patch
--- ekeyd-1.1.5/debian/patches/Fix-compatibility-with-changed-UNIX-socket-API.patch	1970-01-01 01:00:00.000000000 +0100
+++ ekeyd-1.1.5/debian/patches/Fix-compatibility-with-changed-UNIX-socket-API.patch	2017-02-04 15:42:08.000000000 +0000
@@ -0,0 +1,58 @@
+From: Simon McVittie <smcv@debian.org>
+Date: Sat, 4 Feb 2017 14:42:19 +0000
+Subject: Fix compatibility with changed UNIX socket API
+
+Based on patches from Mathieu Parent and Courtney Bane.
+---
+ host/control.lua | 15 +++++++++------
+ host/ekeydctl.in |  4 ++--
+ 2 files changed, 11 insertions(+), 8 deletions(-)
+
+diff --git a/host/control.lua b/host/control.lua
+index 7b9b1b8..48723ec 100644
+--- a/host/control.lua
++++ b/host/control.lua
+@@ -38,16 +38,19 @@ local PROTOCOL_VERSION = "1"
+ local dos_callcount = 0
+ 
+ -- Libraries we need
+-require "socket"
++local socket = require "socket"
+ 
+ local have_unix_domain_sockets = false
+-function tryload_unix()
+-   require "socket.unix"
+-   have_unix_domain_sockets = true
++local ok, unix = pcall(require, "socket.unix")
++if ok then
++   if type(unix) == "function" then
++      socket.unix = unix
++   else
++      socket.unix = unix.stream or unix.tcp
++   end
++   have_unix_domain_sockets = socket.unix ~= nil
+ end
+ 
+-pcall(tryload_unix)
+-
+ local protectedenv = {}
+ 
+ -- Control socket interface
+diff --git a/host/ekeydctl.in b/host/ekeydctl.in
+index 9292ac6..801db7c 100755
+--- a/host/ekeydctl.in
++++ b/host/ekeydctl.in
+@@ -1,11 +1,11 @@
+ #!/usr/bin/env lua@LUA_V@
+ -- -*- Lua -*-
+ 
+-require "socket"
++local socket = require "socket"
+ 
+ -- Try to load the UNIX domain sockets support
+ pcall(function()
+-	 require "socket.unix"
++	 socket.unix = require "socket.unix"
+       end)
+ 
+ 
diff -Nru ekeyd-1.1.5/debian/patches/series ekeyd-1.1.5/debian/patches/series
--- ekeyd-1.1.5/debian/patches/series	2013-09-29 23:46:26.000000000 +0100
+++ ekeyd-1.1.5/debian/patches/series	2017-02-04 15:42:08.000000000 +0000
@@ -1,3 +1,4 @@
 harden-egd.patch
 versionfix.patch
 718106-makefile-fix.patch
+Fix-compatibility-with-changed-UNIX-socket-API.patch
